html,
body {
  font-family: 'Microsoft YaHei';
  background-color: #f6f6f6;
  padding: 0;
  margin: 0;
  overflow-x: hidden;
}

a {
  color: #fff;
  text-decoration: none;
}

.index_tab {
  background-color: #fff;
  padding: 6px;
  cursor: pointer;
}

:root {
  --bs-border-radius: 0; /* 默认按钮 */
  --bs-border-radius-sm: 0; /* 小按钮 */
  --bs-border-radius-lg: 0; /* 大按钮 */
}

.mask_container {
  position: relative;
  overflow: hidden;
}

.mask {
  position: absolute;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  background: #2c78b6b6;
  color: #fff;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  box-sizing: border-box;
  transform: translateY(calc(100% - 50px)); /* ⭐ 默认只露出 50px */
  transition: transform 0.4s ease;
}

.mask_container:hover .mask {
  transform: translateY(0);
}

.p-bg-gradient-blue-white-selected {
  background: linear-gradient(to right, #81c7ff, #ffffff);
}

.p-bg-gradient-blue-white-unselected {
  background: #f6f6f6;
}

.selected_font_color {
  color: #006ec5;
}

.mask-overlay {
  height: 25%; /* 1/5 高度 */
  background: rgba(0, 0, 0, 0.5); /* 半透明黑色 */
  color: white;
  display: flex;
  align-items: center;
  padding-left: 10px;
}

.news-title {
  display: -webkit-box;
  -webkit-line-clamp: 2;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.dropdown-mask {
  position: absolute;
  left: 0;
  top: 120px;
  width: 100%;
  background: #000000;
  opacity: 0.2;
  display: none;
  padding: 30px 0;
}

.dropdown-inner {
  width: 200px;
  margin: auto;
}

.submenu {
  display: none;
}

.submenu a {
  display: block;
  padding: 8px 0;
  text-decoration: none;
  color: #333;
}

.div-button {
  display: inline-block;
  padding: 6px 14px;
  border-radius: 4px;
  background: #e7e7e7;
  color: #333333;
  cursor: pointer;
  user-select: none;
  transition: all 0.2s;
}

.div-button.active {
  background: #d5edff;
  color: #008eff;
}
